# Wolfpack Runtime Library
#
# General settings

TEMPLATE = lib
CONFIG   = moc warn_off release staticlib
TARGET   = wrl
VERSION  = 3.0.4
DESTDIR  = ../lib
DEFINES -= UNICODE
OBJECTS_DIR = .tmp
MOC_DIR     = .tmp
MOC_MOC   = ../../bin
INCLUDEPATH = ../include ../include/private
# Common sources

SOURCES		= \
		  cmdline.cpp \
		  codecs/qtextcodec.cpp \
		  codecs/qtextcodecfactory.cpp \
		  codecs/qtsciicodec.cpp \
		  codecs/qutfcodec.cpp \
		  kernel/qapplication.cpp \
		  kernel/qconnection.cpp \
		  kernel/qevent.cpp \
		  kernel/qguardedptr.cpp \
		  kernel/qmetaobject.cpp \
		  kernel/qobject.cpp \
		  kernel/qtranslator.cpp \
		  kernel/qucomextra.cpp \
		  kernel/qvariant.cpp \
		  network/qhostaddress.cpp \
		  network/qsocketdevice.cpp \
		  preferences.cpp \
		  tools/qbitarray.cpp \
		  tools/qbuffer.cpp \
		  tools/qcomlibrary.cpp \
		  tools/qcomponentfactory.cpp \
		  tools/qcstring.cpp \
		  tools/qdatastream.cpp \
		  tools/qdatetime.cpp \
		  tools/qdir.cpp \
		  tools/qfile.cpp \
		  tools/qfileinfo.cpp \
		  tools/qgarray.cpp \
		  tools/qgcache.cpp \
		  tools/qgdict.cpp \
		  tools/qglist.cpp \
		  tools/qglobal.cpp \
		  tools/qgpluginmanager.cpp \
		  tools/qgvector.cpp \
		  tools/qiodevice.cpp \
		  tools/qlibrary.cpp \
		  tools/qmap.cpp \
		  tools/qptrcollection.cpp \
		  tools/qregexp.cpp \
		  tools/qsettings.cpp \
		  tools/qstring.cpp \
		  tools/qstringlist.cpp \
		  tools/qtextstream.cpp \
		  tools/qucom.cpp \
		  tools/quuid.cpp \
		  xml/qdom.cpp \
		  xml/qxml.cpp

HEADERS =  \
                  ../include/cmdline.h \
                  ../include/preferences.h \
                  ../include/private/qapplication_p.h \
                  ../include/private/qcom_p.h \
                  ../include/private/qcomlibrary_p.h \
                  ../include/private/qcomponentfactory_p.h \
                  ../include/private/qdir_p.h \
                  ../include/private/qgpluginmanager_p.h \
                  ../include/private/qlibrary_p.h \
                  ../include/private/qpluginmanager_p.h \
                  ../include/private/qtextcodecinterface_p.h \
                  ../include/private/qucom_p.h \
                  ../include/private/qucomextra_p.h \
                  ../include/qapplication.h \
                  ../include/qasciicache.h \
                  ../include/qasciidict.h \
                  ../include/qbitarray.h \
                  ../include/qbuffer.h \
                  ../include/qcache.h \
                  ../include/qcleanuphandler.h \
                  ../include/qconfig.h \
                  ../include/qconnection.h \
                  ../include/qcstring.h \
                  ../include/qdatastream.h \
                  ../include/qdatetime.h \
                  ../include/qdict.h \
                  ../include/qdir.h \
                  ../include/qdom.h \
                  ../include/qevent.h \
                  ../include/qfeatures.h \
                  ../include/qfile.h \
                  ../include/qfiledefs_p.h \
                  ../include/qfileinfo.h \
                  ../include/qgarray.h \
                  ../include/qgcache.h \
                  ../include/qgdict.h \
                  ../include/qglist.h \
                  ../include/qglobal.h \
                  ../include/qguardedptr.h \
                  ../include/qgvector.h \
                  ../include/qhostaddress.h \
                  ../include/qintcache.h \
                  ../include/qintdict.h \
                  ../include/qiodevice.h \
                  ../include/qlibrary.h \
                  ../include/qmap.h \
                  ../include/qmemarray.h \
                  ../include/qmetaobject.h \
                  ../include/qmodules.h \
                  ../include/qnamespace.h \
                  ../include/qobject.h \
                  ../include/qobjectdefs.h \
                  ../include/qobjectlist.h \
                  ../include/qpair.h \
                  ../include/qpoint.h \
                  ../include/qpointarray.h \
                  ../include/qptrcollection.h \
                  ../include/qptrdict.h \
                  ../include/qptrlist.h \
                  ../include/qptrqueue.h \
                  ../include/qptrstack.h \
                  ../include/qptrvector.h \
                  ../include/qregexp.h \
                  ../include/qrtlcodec.h \
                  ../include/qsettings.h \
                  ../include/qshared.h \
                  ../include/qsignalslotimp.h \
                  ../include/qsocketdevice.h \
                  ../include/qstring.h \
                  ../include/qstringlist.h \
                  ../include/qstrlist.h \
                  ../include/qt_windows.h \
                  ../include/qtextcodec.h \
                  ../include/qtextcodecfactory.h \
                  ../include/qtextstream.h \
                  ../include/qtl.h \
                  ../include/qtranslator.h \
                  ../include/qtsciicodec.h \
                  ../include/qutfcodec.h \
                  ../include/quuid.h \
                  ../include/qvaluelist.h \
                  ../include/qvaluestack.h \
                  ../include/qvaluevector.h \
                  ../include/qvariant.h \
                  ../include/qwindowdefs.h \
                  ../include/qwindowdefs_win.h \
                  ../include/qxml.h 



# Platform Specific stuff

#
# Win32:
#*******

win32-msvc:TMAKE_CXXFLAGS += /EHsc
win32:INCLUDEPATH += ../mkspecs/win32-msvc
win32-borland:INCLUDEPATH += ../mkspecs/win32-borland
win32-g++:INCLUDEPATH += ../mkspecs/win32-g++

win32-msvc:HEADERS += ../mkspecs/win32-msvc/qplatformdefs.h
win32-borland:HEADERS += ../mkspecs/win32-borland/qplatformdefs.h
win32-g++:HEADERS += ../mkspecs/win32-g++/qplatformdefs.h

win32:SOURCES += \
		kernel/qapplication_win.cpp \
		tools/qsettings_win.cpp \
		tools/qdir_win.cpp \
		tools/qfile_win.cpp \
                tools/qfileinfo_win.cpp \
                tools/qlibrary_win.cpp \
                network/qsocketdevice_win.cpp


#
# Linux
#******

unix:INCLUDEPATH += ../mkspecs/linux-g++
unix:HEADERS += ../mkspecs/linux-g++/qplatformdefs.h
unix:SOURCES += \
		kernel/qapplication_x11.cpp \
		tools/qsettings_unix.cpp \
		tools/qdir_unix.cpp \
		tools/qfile_unix.cpp \
                tools/qfileinfo_unix.cpp \
                tools/qlibrary_unix.cpp \
                network/qsocketdevice_unix.cpp 

#
# BSD
#*****
bsd:INCLUDEPATH += ../mkspecs/freebsd-g++
bsd:HEADERS += ../mkspecs/freebsd-g++/qplatformdefs.h
bsd:SOURCES += \
		tools/qdir_unix.cpp \
		tools/qfile_unix.cpp \
                tools/qfileinfo_unix.cpp \
                tools/qlibrary_unix.cpp \
                network/qsocketdevice_unix.cpp 
